/*   Cataract - Static web photo gallery generator
 *   Copyright (C) 2009 Tomas Bzatek <tbzatek@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include <glib.h>

#include "stats.h"



G_LOCK_DEFINE_STATIC (stats_errors);
G_LOCK_DEFINE_STATIC (stats_dirs);
G_LOCK_DEFINE_STATIC (stats_images);


void
stats_errors_inc ()
{
  G_LOCK (stats_errors);
  stats_errors++;
  G_UNLOCK (stats_errors);
}

void
stats_dirs_inc ()
{
  G_LOCK (stats_dirs);
  stats_dirs++;
  G_UNLOCK (stats_dirs);
}

void
stats_images_inc ()
{
  G_LOCK (stats_images);
  stats_images++;
  G_UNLOCK (stats_images);
}
